package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"sapfunction", "sapstructure", "sapprogram", "sapoutputportOrSAPVARIABLEOrSAPPROGRAMFLOWOBJECT"}
)
@XmlRootElement(
   name = "ERPINFO"
)
public class ERPINFO {
   @XmlElement(
      name = "SAPFUNCTION"
   )
   protected List<SAPFUNCTION> sapfunction;
   @XmlElement(
      name = "SAPSTRUCTURE"
   )
   protected List<SAPSTRUCTURE> sapstructure;
   @XmlElement(
      name = "SAPPROGRAM"
   )
   protected List<SAPPROGRAM> sapprogram;
   @XmlElements({@XmlElement(
   name = "SAPOUTPUTPORT",
   type = SAPOUTPUTPORT.class
), @XmlElement(
   name = "SAPVARIABLE",
   type = SAPVARIABLE.class
), @XmlElement(
   name = "SAPPROGRAMFLOWOBJECT",
   type = SAPPROGRAMFLOWOBJECT.class
)})
   protected List<Object> sapoutputportOrSAPVARIABLEOrSAPPROGRAMFLOWOBJECT;

   public List<SAPFUNCTION> getSAPFUNCTION() {
      if (this.sapfunction == null) {
         this.sapfunction = new ArrayList();
      }

      return this.sapfunction;
   }

   public List<SAPSTRUCTURE> getSAPSTRUCTURE() {
      if (this.sapstructure == null) {
         this.sapstructure = new ArrayList();
      }

      return this.sapstructure;
   }

   public List<SAPPROGRAM> getSAPPROGRAM() {
      if (this.sapprogram == null) {
         this.sapprogram = new ArrayList();
      }

      return this.sapprogram;
   }

   public List<Object> getSAPOUTPUTPORTOrSAPVARIABLEOrSAPPROGRAMFLOWOBJECT() {
      if (this.sapoutputportOrSAPVARIABLEOrSAPPROGRAMFLOWOBJECT == null) {
         this.sapoutputportOrSAPVARIABLEOrSAPPROGRAMFLOWOBJECT = new ArrayList();
      }

      return this.sapoutputportOrSAPVARIABLEOrSAPPROGRAMFLOWOBJECT;
   }
}
